FruxonDocs
ApiIntegration config sandbox

Restore a sandbox snapshot.

Replaces the current sandbox state with the state captured in the snapshot. All existing entities, sequence counters, and tool-call history for this config are deleted and replaced with the snapshot's data. The snapshot itself is not deleted and can be restored again.

POST
/v1/tenants/{tenant}/integrations/{integration}/configs/{config}/sandbox/snapshots/{snapshot}:restore
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

config*string

The integration config id.

Formatuuid
snapshot*string

The snapshot id to restore.

Formatuuid
tenant*string

The tenant identifier

integration*string

The integration identifier

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/integrations/string/configs/497f6eca-6276-4993-bfeb-53cbbbba6f08/sandbox/snapshots/497f6eca-6276-4993-bfeb-53cbbbba6f08:restore"
Empty
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}